## org.eclipse.emf.cheatsheets.actions
Class BuildAllProjectsAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.cheatsheets.actions.BuildAllProjectsAction

All Implemented Interfaces:
  IAction, ICheatSheetAction

    public class BuildAllProjectsAction

extends Action
implements ICheatSheetAction

Action that builds all projects on Workspace.

Since:
  2.2.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`BuildAllProjectsAction()`

Method Summary
`protected void` `buildAllProjects(IProgressMonitor monitor)` Build all projects in the workspace
`void` `run()` Run the action
`void` `run(java.lang.String[] params, ICheatSheetManager manager)` Execution of the action
`protected void` `runWithProgress(IRunnableWithProgress runnable)` Run with progress

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### BuildAllProjectsAction

    public BuildAllProjectsAction()

Method Detail

### run

    public void run(java.lang.String[] params,
                    ICheatSheetManager manager)

  Execution of the action

  Specified by:
    `run` in interface `ICheatSheetAction`
  Parameters:
    `params` - Array of parameters
    `manager` - Cheatsheet Manager

### run

    public void run()

  Run the action

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### runWithProgress

    protected void runWithProgress(IRunnableWithProgress runnable)
                            throws java.lang.reflect.InvocationTargetException,
                                   java.lang.InterruptedException

  Run with progress

  Parameters:
    `runnable` -
  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InterruptedException`

### buildAllProjects

    protected void buildAllProjects(IProgressMonitor monitor)
                             throws CoreException

  Build all projects in the workspace

  Parameters:
    `monitor` - Monitoring the action
  Throws:
    `CoreException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.